KYB Status
curl --request GET \
--url https://api.example.com/v1/ramp/org/kyb/statusimport requests
url = "https://api.example.com/v1/ramp/org/kyb/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/ramp/org/kyb/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Ramping — KYB
KYB Status
GET /v1/ramp/org/kyb/status — Get current KYB verification status for your organization
GET
/
v1
/
ramp
/
org
/
kyb
/
status
KYB Status
Endpoint:
GET https://api.rebelfi.io/v1/ramp/org/kyb/statusRequest Body
No request body required.Example Request
curl -X GET "https://api.rebelfi.io/v1/ramp/org/kyb/status" \
-H "x-api-key: your_api_key"
const status = await client.ramp.getKybStatus();
Example Response
{
"kybStatus": "approved",
"applicationUrl": "https://kyb.provider.com/verify/abc123",
"onrampAccount": null,
"onrampAccounts": []
}
Response Fields
| Field | Type | Description |
|---|---|---|
kybStatus | string | KYB verification status: pending, submitted, approved, or declined |
applicationUrl | string | URL to the KYB verification application |
onrampAccount | object? | Primary on-ramp account (if provisioned) |
onrampAccounts | array | List of all on-ramp accounts |
Possible
kybStatus values: pending (initiated, not yet submitted), submitted (under review), approved (verified), declined (verification failed).